DefaultEnhancementsIndexingParams (Lucene 3.6.2 API)
Keywords: org.apache.lucene.facet.enhancements.params.DefaultEnhancementsIndexingParams class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.enhancements.params
Class DefaultEnhancementsIndexingParams

    java.lang.Object
      org.apache.lucene.facet.index.params.DefaultFacetIndexingParams
          org.apache.lucene.facet.index.params.PerDimensionIndexingParams
              org.apache.lucene.facet.enhancements.params.DefaultEnhancementsIndexingParams

All Implemented Interfaces:
  Serializable, EnhancementsIndexingParams, FacetIndexingParams

    public class DefaultEnhancementsIndexingParams

extends PerDimensionIndexingParams
implements EnhancementsIndexingParams

Default implementation of `EnhancementsIndexingParams`

See Also:
  Serialized Form
WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary

Fields inherited from class org.apache.lucene.facet.index.params.DefaultFacetIndexingParams
`DEFAULT_FACET_DELIM_CHAR`

Constructor Summary
`DefaultEnhancementsIndexingParams(CategoryEnhancement... enhancements)` Construct with a certain `enhancement`
`DefaultEnhancementsIndexingParams(CategoryListParams categoryListParams, CategoryEnhancement... enhancements)` Construct with certain `enhancements` and `CategoryListParams`

Method Summary
`void` | `addCategoryEnhancements(CategoryEnhancement... enhancements)` Add `CategoryEnhancement`s to the indexing parameters
`List<CategoryEnhancement>` | `getCategoryEnhancements()` Get a list of the active category enhancements.
`List<Class<? extends CategoryProperty>>` | `getRetainableProperties()` Get a list of `CategoryProperty` classes to be retained when creating `CategoryParentsStream`.

Methods inherited from class org.apache.lucene.facet.index.params.PerDimensionIndexingParams
`addCategoryListParams, getAllCategoryListParams, getCategoryListParams`

Methods inherited from class org.apache.lucene.facet.index.params.DefaultFacetIndexingParams
`drillDownTermText, equals, fixedOrdinalPolicy, fixedPartitionSize, fixedPathPolicy, getFacetDelimChar, getOrdinalPolicy, getPartitionSize, getPathPolicy, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.lucene.facet.index.params.FacetIndexingParams
`drillDownTermText, getAllCategoryListParams, getCategoryListParams, getFacetDelimChar, getOrdinalPolicy, getPartitionSize, getPathPolicy`

Constructor Detail

### DefaultEnhancementsIndexingParams

    public DefaultEnhancementsIndexingParams(CategoryEnhancement... enhancements)

  Construct with a certain `enhancement`

  Throws:
    `IllegalArgumentException` - if no enhancements are provided

### DefaultEnhancementsIndexingParams

    public DefaultEnhancementsIndexingParams(CategoryListParams categoryListParams,
                                             CategoryEnhancement... enhancements)

  Construct with certain `enhancements` and `CategoryListParams`

  Throws:
    `IllegalArgumentException` - if no enhancements are provided

Method Detail

### addCategoryEnhancements

    public void addCategoryEnhancements(CategoryEnhancement... enhancements)

  Description copied from interface: `EnhancementsIndexingParams`
  Add `CategoryEnhancement`s to the indexing parameters

  Specified by:
    `addCategoryEnhancements` in interface `EnhancementsIndexingParams`
  Parameters:
    `enhancements` - enhancements to add

### getCategoryEnhancements

    public List<CategoryEnhancement> getCategoryEnhancements()

  Description copied from interface: `EnhancementsIndexingParams`
  Get a list of the active category enhancements. If no enhancements exist return `null`. The order of enhancements in the returned list dictates the order in which the enhancements data appear in the category tokens payload.

  Specified by:
    `getCategoryEnhancements` in interface `EnhancementsIndexingParams`
  Returns:
    A list of the active category enhancements, or `null` if there are no enhancements.

### getRetainableProperties

    public List<Class<? extends CategoryProperty>> getRetainableProperties()

  Description copied from interface: `EnhancementsIndexingParams`
  Get a list of `CategoryProperty` classes to be retained when creating `CategoryParentsStream`.

  Specified by:
    `getRetainableProperties` in interface `EnhancementsIndexingParams`
  Returns:
    the list of `CategoryProperty` classes to be retained when creating `CategoryParentsStream`, or `null` if there are no such properties.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD